package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 半挂车表 product_productsemitrailer
 *
 * @author ruoyi
 */

public class ProductProductsemitrailer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 总质量(kg) */
    @Excel(name = "总质量(kg)")

    private BigDecimal totalMass;

    /** 整备质量(kg) */
    @Excel(name = "整备质量(kg)")

    private BigDecimal curbWeight;

    /** 额定载质量(kg) */
    @Excel(name = "额定载质量(kg)")

    private BigDecimal ratedLoad;

    /** 半挂车鞍座最大允许载质量(kg) */
    @Excel(name = "半挂车鞍座最大允许载质量(kg)")

    private BigDecimal fifthWheelMaxLoad;

    /** 外形尺寸(长) */
    @Excel(name = "外形尺寸(长)")

    private BigDecimal dimensionLength;

    /** 外形尺寸(宽) */
    @Excel(name = "外形尺寸(宽)")

    private BigDecimal dimensionWidth;

    /** 外形尺寸(高) */
    @Excel(name = "外形尺寸(高)")

    private BigDecimal dimensionHeight;

    /** 轴距(mm) */
    @Excel(name = "轴距(mm)")

    private BigDecimal wheelBase;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public String getBrand()
    {
        return brand;
    }

    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public BigDecimal getTotalMass()
    {
        return totalMass;
    }

    public void setTotalMass(BigDecimal totalMass)
    {
        this.totalMass = totalMass;
    }

    public BigDecimal getCurbWeight()
    {
        return curbWeight;
    }

    public void setCurbWeight(BigDecimal curbWeight)
    {
        this.curbWeight = curbWeight;
    }

    public BigDecimal getRatedLoad()
    {
        return ratedLoad;
    }

    public void setRatedLoad(BigDecimal ratedLoad)
    {
        this.ratedLoad = ratedLoad;
    }

    public BigDecimal getFifthWheelMaxLoad()
    {
        return fifthWheelMaxLoad;
    }

    public void setFifthWheelMaxLoad(BigDecimal fifthWheelMaxLoad)
    {
        this.fifthWheelMaxLoad = fifthWheelMaxLoad;
    }

    public BigDecimal getDimensionLength()
    {
        return dimensionLength;
    }

    public void setDimensionLength(BigDecimal dimensionLength)
    {
        this.dimensionLength = dimensionLength;
    }

    public BigDecimal getDimensionWidth()
    {
        return dimensionWidth;
    }

    public void setDimensionWidth(BigDecimal dimensionWidth)
    {
        this.dimensionWidth = dimensionWidth;
    }

    public BigDecimal getDimensionHeight()
    {
        return dimensionHeight;
    }

    public void setDimensionHeight(BigDecimal dimensionHeight)
    {
        this.dimensionHeight = dimensionHeight;
    }

    public BigDecimal getWheelBase()
    {
        return wheelBase;
    }

    public void setWheelBase(BigDecimal wheelBase)
    {
        this.wheelBase = wheelBase;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("brand", getBrand())
            .append("totalMass", getTotalMass())
            .append("curbWeight", getCurbWeight())
            .append("ratedLoad", getRatedLoad())
            .append("fifthWheelMaxLoad", getFifthWheelMaxLoad())
            .append("dimensionLength", getDimensionLength())
            .append("dimensionWidth", getDimensionWidth())
            .append("dimensionHeight", getDimensionHeight())
            .append("wheelBase", getWheelBase())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
